Bug 1395354 - Review Request: python-colorlog - A colored formatter for the python logging module
Summary: Review Request: python-colorlog - A colored formatter for the python logging ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Athos Ribeiro
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-15 18:49 UTC by Fabian Affolter
Modified: 2016-12-06 10:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-05 21:40:57 UTC
athoscribeiro: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2016-11-15 18:49:14 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-colorlog.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-colorlog-2.7.0-1.fc24.src.rpm

Project URL: https://github.com/borntyping/python-colorlog

Description:
colorlog.ColoredFormatter is a formatter for use with Python's logging
module that outputs records using terminal colors.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=16465940

rpmlint output:
[fab@laptop016 SRPMS]$ rpmlint python*-colorlog*
python-colorlog.src: W: spelling-error Summary(en_US) formatter -> formatted, for matter, for-matter
python-colorlog.src: W: spelling-error %description -l en_US ColoredFormatter -> Formatted
python-colorlog.src: W: spelling-error %description -l en_US formatter -> formatted, for matter, for-matter
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

[fab@laptop016 noarch]$ rpmlint python*-colorlog-*
python2-colorlog.noarch: W: spelling-error Summary(en_US) formatter -> formatted, for matter, for-matter
python2-colorlog.noarch: W: spelling-error %description -l en_US ColoredFormatter -> Formatted
python2-colorlog.noarch: W: spelling-error %description -l en_US formatter -> formatted, for matter, for-matter
python3-colorlog.noarch: W: spelling-error Summary(en_US) formatter -> formatted, for matter, for-matter
python3-colorlog.noarch: W: spelling-error %description -l en_US ColoredFormatter -> Formatted
python3-colorlog.noarch: W: spelling-error %description -l en_US formatter -> formatted, for matter, for-matter
2 packages and 0 specfiles checked; 0 errors, 6 warnings.

Fedora Account System Username: fab

Comment 1 Athos Ribeiro 2016-11-15 20:11:05 UTC
License: There is no LICENSE file. The license text is a section in the README file. It would be really nice to ask upstream to include a LICENSE file in the project (this is not a blocker)

Tests: There is a test suite in colorlog/tests. Is there any reason for not having a %check section in the package?

The package does not own its own directory: %{python3_sitelib}/%{srcname} and others:
     Note: Directories without known owners: /usr/lib/python3.5/site-
     packages/colorlog/__pycache__, /usr/lib/python2.7/site-
     packages/colorlog, /usr/lib/python3.5/site-packages/colorlog

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
[-]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python2.7/site-packages/colorlog,
     /usr/lib/python3.5/site-packages/colorlog, /usr/lib/python3.5/site-
     packages/colorlog/__pycache__
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.5/site-
     packages/colorlog/__pycache__, /usr/lib/python2.7/site-
     packages/colorlog, /usr/lib/python3.5/site-packages/colorlog
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-colorlog-2.7.0-1.fc26.noarch.rpm
          python3-colorlog-2.7.0-1.fc26.noarch.rpm
          python-colorlog-2.7.0-1.fc26.src.rpm
python2-colorlog.noarch: W: spelling-error Summary(en_US) formatter -> formatted, for matter, for-matter
python2-colorlog.noarch: W: spelling-error %description -l en_US ColoredFormatter -> Formatted
python2-colorlog.noarch: W: spelling-error %description -l en_US formatter -> formatted, for matter, for-matter
python3-colorlog.noarch: W: spelling-error Summary(en_US) formatter -> formatted, for matter, for-matter
python3-colorlog.noarch: W: spelling-error %description -l en_US ColoredFormatter -> Formatted
python3-colorlog.noarch: W: spelling-error %description -l en_US formatter -> formatted, for matter, for-matter
python-colorlog.src: W: spelling-error Summary(en_US) formatter -> formatted, for matter, for-matter
python-colorlog.src: W: spelling-error %description -l en_US ColoredFormatter -> Formatted
python-colorlog.src: W: spelling-error %description -l en_US formatter -> formatted, for matter, for-matter
3 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
python3-colorlog.noarch: W: spelling-error Summary(en_US) formatter -> formatted, for matter, for-matter
python3-colorlog.noarch: W: spelling-error %description -l en_US ColoredFormatter -> Formatted
python3-colorlog.noarch: W: spelling-error %description -l en_US formatter -> formatted, for matter, for-matter
python2-colorlog.noarch: W: spelling-error Summary(en_US) formatter -> formatted, for matter, for-matter
python2-colorlog.noarch: W: spelling-error %description -l en_US ColoredFormatter -> Formatted
python2-colorlog.noarch: W: spelling-error %description -l en_US formatter -> formatted, for matter, for-matter
2 packages and 0 specfiles checked; 0 errors, 6 warnings.



Requires
--------
python3-colorlog (rpmlib, GLIBC filtered):
    python(abi)

python2-colorlog (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-colorlog:
    python3-colorlog
    python3.5dist(colorlog)
    python3dist(colorlog)

python2-colorlog:
    python-colorlog
    python2-colorlog
    python2.7dist(colorlog)
    python2dist(colorlog)



Source checksums
----------------
https://github.com/borntyping/python-colorlog/archive/v2.7.0.tar.gz#/colorlog-2.7.0.tar.gz :
  CHECKSUM(SHA256) this package     : 1b2337cbd8f18c988a5410374cdc08c1bc8f9e981559f1bdcaddd5b77bdd3b9d
  CHECKSUM(SHA256) upstream package : 1b2337cbd8f18c988a5410374cdc08c1bc8f9e981559f1bdcaddd5b77bdd3b9d

Comment 2 Fabian Affolter 2016-11-17 07:12:02 UTC
Thanks for your comment and time to to review this package.

(In reply to Athos Ribeiro from comment #1)
> License: There is no LICENSE file. The license text is a section in the
> README file. It would be really nice to ask upstream to include a LICENSE
> file in the project (this is not a blocker)

https://github.com/borntyping/python-colorlog/pull/37

> Tests: There is a test suite in colorlog/tests. Is there any reason for not
> having a %check section in the package?

Yes, the tests require colorlog to be installed which is not the case on the build system.

> The package does not own its own directory: %{python3_sitelib}/%{srcname}
> and others:
>      Note: Directories without known owners: /usr/lib/python3.5/site-
>      packages/colorlog/__pycache__, /usr/lib/python2.7/site-
>      packages/colorlog, /usr/lib/python3.5/site-packages/colorlog

It's been a while since my last work on packaging. First I thought that I was missing something but it seems that the example [1] is not simply wrong when it comes to ownership.

[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Updated files:
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-colorlog.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-colorlog-2.7.0-2.fc24.src.rpm

Comment 3 Athos Ribeiro 2016-11-17 14:53:28 UTC
There is a set of tests which run without installing the module. It would be nice to run those, at least. I will trust your judgement on it and leave it to you though, so I will not block the review on this matter.

Other than that, problems are fixed. The MIT license text IS present in the README file and there is a pull request adding a LICENSE file to the package, as pointed out by the packager.

Package looks good to me. Approved.

Comment 4 Gwyn Ciesla 2016-11-17 22:35:26 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-colorlog

Comment 5 Fedora Update System 2016-11-22 13:34:00 UTC
python-colorlog-2.7.0-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e496b469bb

Comment 6 Fedora Update System 2016-11-22 13:50:01 UTC
python-colorlog-2.7.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-36675307ed

Comment 7 Fedora Update System 2016-11-23 20:32:15 UTC
python-colorlog-2.7.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-36675307ed

Comment 8 Fedora Update System 2016-11-23 23:07:16 UTC
python-colorlog-2.7.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e496b469bb

Comment 9 Fedora Update System 2016-12-05 21:40:57 UTC
python-colorlog-2.9.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-12-06 10:25:06 UTC
python-colorlog-2.9.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.